Boomi API Control Plane REST API - Governance
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get zombie APIs
Get APIs without new subscriptions in the last 90 days.
Authorizations:
query Parameters
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiWithOwner) List of ApiWithOwner results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "apiDescription": "string",
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "ownerEmail": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get slowest APIs
Get APIs with largest average latencies. This will only consider APIs for which raw metrics are stored.
Authorizations:
query Parameters
| from | string <date-time> |
| until | string <date-time> |
| environment | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| aggregation | string Enum: "MEAN" "MEDIAN" "PERCENTILE_95" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiLatencyDetails) List of ApiLatencyDetails results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "api": {
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "apiDescription": "string",
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "ownerEmail": "string"
}, - "environment": {
- "displayName": "string",
- "color": "string",
- "symbol": "string",
- "type": {
- "type": "string",
- "tenantId": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "displayName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "hasImage": true
}, - "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}, - "latency": 0.1
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get shadow APIs
Get APIs with no API specification (in their current version).
Authorizations:
query Parameters
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiWithOwner) List of ApiWithOwner results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "apiDescription": "string",
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "ownerEmail": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get rule violations
Get rules and their total number of violations. The result is first ordered by severity (errors first) and then by the number of violations. Rules with 0 violations will not be included!
Authorizations:
query Parameters
| category | string Enum: "SECURITY" "QUALITY" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (RuleViolation) List of RuleViolation results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "ruleName": "string",
- "severity": "ERROR",
- "category": "SECURITY",
- "ruleSetName": "string",
- "numberOfViolations": 0,
- "ruleSetId": "48affae8-2f10-44c5-addc-54478c17eb78"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get API product subscriptions stats
Get API products with their number of subscriptions.
Authorizations:
query Parameters
| visibility | string Enum: "RESTRICTED" "PUBLIC" |
| published | boolean |
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| approvalStatus | string Enum: "APPROVED" "PENDING" "DECLINED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ProductSubscriptions) List of ProductSubscriptions results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",
- "productDisplayName": "string",
- "productVisibility": "RESTRICTED",
- "productPublished": true,
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "numberOfSubscriptions": 0
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get organization scores
Get average security/quality scores for each organization.
Authorizations:
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationScores) List of OrganizationScores results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "displayName": "string",
- "email": "string",
- "securityScore": 0,
- "qualityScore": 0
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get application subscriptions stats
Get applications with their number of subscriptions.
Authorizations:
query Parameters
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| approvalStatus | string Enum: "APPROVED" "PENDING" "DECLINED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApplicationSubscriptions) List of ApplicationSubscriptions results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
- "applicationDisplayName": "string",
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "numberOfSubscriptions": 0
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get API subscriptions stats
Get APIs with their number of subscriptions.
Authorizations:
query Parameters
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| approvalStatus | string Enum: "APPROVED" "PENDING" "DECLINED" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiSubscriptions) List of ApiSubscriptions results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "ownerEmail": "string",
- "numberOfSubscriptions": 0
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get API scores
Get APIs and their security/quality scores (the ones for the current version of each API). The request must include a sort parameter for either qualityScore or securityScore!
Authorizations:
query Parameters
| category required | string Enum: "SECURITY" "QUALITY" |
| owner | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiScore) List of ApiScore results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "apiDisplayName": "string",
- "versionName": "string",
- "versionDisplayName": "string",
- "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",
- "ownerDisplayName": "string",
- "securityScore": 0,
- "qualityScore": 0
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Get active subscriptions over time
Get active subscriptions for each day in the specified interval. Interval must me smaller than 1000 days. Parts of the interval that lie in the future or too far in the past may be cut off (Check from/until values in response for actual interval).
Authorizations:
query Parameters
| from required | string <date> |
| until required | string <date> |
Responses
Response Schema: application/json
| from required | string <date> Start date of the graph range. |
| until required | string <date> End date of the graph range. |
required | Array of objects (Point) Data points within the range. |
Response samples
- 200
- default
{- "from": "2019-08-24",
- "until": "2019-08-24",
- "values": [
- {
- "date": "2019-08-24",
- "value": 0
}
]
}Get active APIs over time
Get active APIs for each day in the specified interval. Interval must me smaller than 1000 days. Parts of the interval that lie in the future or too far in the past may be cut off (Check from/until values in response for actual interval).
Authorizations:
query Parameters
| from required | string <date> |
| until required | string <date> |
Responses
Response Schema: application/json
| from required | string <date> Start date of the graph range. |
| until required | string <date> End date of the graph range. |
required | Array of objects (Point) Data points within the range. |
Response samples
- 200
- default
{- "from": "2019-08-24",
- "until": "2019-08-24",
- "values": [
- {
- "date": "2019-08-24",
- "value": 0
}
]
}